/*
 *
 * Copyright 2017 gRPC authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef GRPC_CORE_LIB_IOMGR_IOMGR_UV_H
#define GRPC_CORE_LIB_IOMGR_IOMGR_UV_H

#include "src/core/lib/iomgr/iomgr_internal.h"

#include <grpc/support/thd.h>

#ifdef __cplusplus
extern "C" {
#endif

/* The thread ID of the thread on which grpc was initialized. Used to verify
 * that all calls into libuv are made on that same thread */
extern gpr_thd_id g_init_thread;

#ifdef __cplusplus
}
#endif

#ifdef GRPC_UV_THREAD_CHECK
#define GRPC_UV_ASSERT_SAME_THREAD() \
  GPR_ASSERT(gpr_thd_currentid() == g_init_thread)
#else
#define GRPC_UV_ASSERT_SAME_THREAD()
#endif /* GRPC_UV_THREAD_CHECK */

#endif /* GRPC_CORE_LIB_IOMGR_IOMGR_UV_H */
